Commit 9c0de1d1 authored by Guillaume Pasero's avatar Guillaume Pasero

ENH: clarify Qt4 superbuild warning message

parent cab33bb5
......@@ -65,9 +65,6 @@ endif()
if(OTB_USE_QT4)
list(APPEND ${proj}_DEPENDENCIES QT4)
if(USE_SYSTEM_QT4 AND UNIX)
message(STATUS " Qt4 is not built by SuperBuild. You need to install it via package manager.")
endif()
endif()
INCLUDE_SUPERBUILD_DEPENDENCIES(${${proj}_DEPENDENCIES})
......
......@@ -12,6 +12,9 @@ if(USE_SYSTEM_QT4)
else()
SETUP_SUPERBUILD(PROJECT ${proj})
message(STATUS " Using Qt4 SuperBuild version")
if(UNIX)
message(STATUS " SuperBuild may fail to compile Qt4. If so, you should install it via package manager.")
endif()
if(NOT DEFINED git_protocol)
set(git_protocol "git")
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment